Delete custom code system

DELETE/construe/codes/systems/{codesystem}

Deletes a custom (non-builtin) code system and all its codes. Builtin systems cannot be deleted. Only available on dedicated instances. Large systems may take up to a minute to delete.

RequiresBearerauthentication

Path parameters

codesystemstringrequired

Code system name

Query parameters

versionstringoptional

Specific version of the custom code system.

Returns  

Code system deleted successfully

Response fields

messagestringrequired

Confirmation message

DELETERequest
# Get authentication token
PHENOML_TOKEN=$(curl -X POST "https://experiment.app.pheno.ml/v2/auth/token" \
  -u "$PHENOML_CLIENT_ID:$PHENOML_CLIENT_SECRET" \
  | jq -r '.access_token')

curl -X DELETE "https://experiment.app.pheno.ml/construe/codes/systems/CUSTOM_CODES" \
  -H "Authorization: Bearer $PHENOML_TOKEN"
200 OKExample Response
{
  "message": "code system deleted successfully"
}